all: src/pymurge.c

src/pymurge.c: src/
	python setup.py install

test: test_csr test_murge test_poisson test_matrix test_mpi_murge
	#-python -m doctest -v test_queue.py

test_csr:
	(cd tests && ./test_csr.py)
test_murge:
	(cd tests && ./test_murge.py)
test_poisson:
	(cd tests && ./test_poisson.py)
test_matrix:
	(cd tests && ./test_matrix.py)
test_mpi_murge:
	(cd tests && mpirun -np 2 python test_murge.py)
clean:
	-rm -rf build
	-rm src/pymurge.c
